Session withdrawals
Get session withdrawal exchange rate
Use this method to receive the exchange rate from the account currency to the payment system currency of a session withdrawal method.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
methodId*integer
The identifier of a session withdrawal method.
accountId*integer
Operation account.
currencyCode*integer
Operation currency code.
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/session-withdrawals/exchange-rate?methodId=1&accountId=1¤cyCode=978" \ -H "accept-language: ja"{ "rate": "0.9184", "baseCurrency": { "code": 840, "alpha": "USD" }, "quoteCurrency": { "code": 978, "alpha": "EUR" }}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter", "name": "email_domain_not_found" } ] }}{ "error": { "message": "Unauthorized" }}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Access from this country is restricted", "details": { "ip": "203.0.113.42", "country": "RU" } }}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}